%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% For a given fret on a given scale length of guitar this equation will give
% the position that the fret must be at. This effectively gives the length
% of the string at a fret position, it is useful for calculating
% inharmonicity coefficients.
%
% Input(s): Scale length in mm
%           Fret number (0 to 24 recommended range)
%                  
% Output(s): String length in mm 
%          
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function output = calcFrettedStringLength(scaleLength,fretNumber)
    output = scaleLength / (2 ^ (fretNumber / 12));
end