%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% Takes a given data set and randomly selects a number of elements (up to
% a predefined limit).
%
% Inputs:  Percentage of data to be used for testing (as a number <1 and >0)
%          Empty struct to store testing set
%          Directory struct that contains all files to be used for dataset
%
% Outputs: Training data struct
%          Testing data struct
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [testingArray,files] = createTestingSet(testingSetSize,testingArray,files)

    testingDirectorySize = floor(length(files)*testingSetSize);

    m = 1;
    while testingDirectorySize > 0
        fileToRemove = randi([1, length(files)]);
        testingArray(m).name = files(fileToRemove).name;
        files(fileToRemove)  = [];
        testingDirectorySize = testingDirectorySize - 1;
        m = m + 1;
    end

    testingArray = testingArray';
end
