function output = inharmonicity(diameter, youngsModulus, length, tension)

% Calculate the inharmonicity coefficient outlined by Galembo and Askenfelt
% in their 1999 paper.

% diameter       in mm
% youngsModulus  in GPa
% length         in mm
% tension        in Kg

output = (pi^3 * ((diameter*10^-3)^4) * youngsModulus * 10^9)/ (64*(length*10^-3) * tension^2);