%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% Selects items from a struct where the name matches a given regular
% expression
%
% Input(s):  Regular expression
%            Empty struct to store new set
%            Original struct from the directory
%
% Output(s): The struct containing all of the files that have a name that
%            matches the given regular expression
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function filesWithIntensityTags = removeByRegEx(regularExpression, filesWithIntensityTags,files)    
    i = 1;
    for file = files'
        if isempty(regexp(file.name, regularExpression, 'match')) == 0
            filesWithIntensityTags(i).name = file.name;
            i = i + 1;
        end
    end
end
