clear all; close all;

% Load in files and choose ones of same intensity for direct comparison
% dirpath        = '../organised_samples/single_note/AcousticGuitarSamples/wav/';
dirpath        = '../organised_samples/single_note/Stef_Short_Stab_Plectrum/';
files          = dir(strcat(dirpath,'*.wav'));
filesFiltered  = struct;
% filesFiltered  = removeByRegEx('L[3]', filesFiltered, files);
filesFiltered  = removeByRegEx('A ', filesFiltered, files);

icfBinOffset    = 0.05;
desiredFeatureVecotrLength = 30;

% Inharmonicity coefficients
stringDiameters = [0.25 0.33 0.43 0.76 1.066 1.3208]; 
stringTensions  = [7.36 6.98 7.52 11.22 11.61 9.59];   

d    = mean(stringDiameters);          % string diameter in mm
t    = mean(stringTensions);           % string tension  in Kg
ym   = 200;                            % youngsModulus   in GPa
l    = calcFrettedStringLength(610,0); % string length from played fret in mm
BEst = inharmonicity(d,ym,l,t); 

for i = 1:length(filesFiltered)
    filesFiltered(i).name
    output = predictPosition(strcat(dirpath,filesFiltered(i).name),BEst,icfBinOffset,2,1,13)
end

% actualFretValues = cat(1,ones(1,length(predictedFretValues))*option,[0:length(predictedFretValues)-1])';
% percentageAccuracy = precentageSimilarity(actualFretValues,predictedFretValues)