clear all; close all;

directorysToClassify = {'../organised_samples/single_note/AcousticGuitarSamples/wav/'
'../organised_samples/single_note/AcousticFree/'
'../organised_samples/single_note/Indiginus Acoustic Guitar Collection/'
'../organised_samples/single_note/HumbuckerFree/'
'../organised_samples/single_note/Jazz Guitar/'
'../organised_samples/single_note/Reactor Strat Samples p/'};

% '../organised_samples/single_note/Nylon Guitar Samples/'

outputFolderLocation = ' ../dataFiles/comp/';

testingSetSize = 0.2;  % Portion of the directory to be used for testing

histBinNum = 10000;
histThresh = 0.1;

icfBinOffset    = 0.05;
stringDiameters = [0.25 0.33 0.43 0.76 1.066 1.3208]; 
stringTensions  = [7.36 6.98 7.52 11.22 11.61 9.59];
d  = mean(stringDiameters);
ym = 200;
t  = mean(stringTensions);
l = calcFrettedStringLength(610,0);
bestIn = inharmonicity(d,ym,l,t); 

numberOfFiles  = 0;
for audioSampleLocation = directorysToClassify'
    samp = strcat(char(audioSampleLocation),'*.wav');
    files = dir(samp);
    [x,y] = size(files);
    numberOfFiles = numberOfFiles + x;
end

numberOfTests = numberOfFiles - floor(numberOfFiles*0.8);
numberOfTrain = numberOfFiles - numberOfTests;

testingLabels  = zeros(1,numberOfTests);
trainingLabels = zeros(1,numberOfTrain);

% testingMatrix  = zeros(numberOfTests,(histBinNum/2)-1);
% trainingMatrix = zeros(numberOfTrain,(histBinNum/2)-1);

testingMatrix  = zeros(numberOfTests,30);
trainingMatrix = zeros(numberOfTrain,30);

i = 1;
j = 1;

% classificationLabel = 1;
r = 1;
for samples = directorysToClassify'
    
    if r <= 3
        classificationLabel = 1;
    else
        classificationLabel = 2;
    end
    
    audioSampleLocation  = char(samples);    
    files = dir(strcat(audioSampleLocation,'*.wav'));
    testingArray = struct; % Empty struct to store the testing files names
    [testingArray,files] = createTestingSet(testingSetSize, testingArray, files);

    for file = files'      
        [FreqEst, BEst, featureVector, M]  = icf(bestIn, strcat(audioSampleLocation,file.name),0.1);
        trainingMatrix(i,:) = padWithZeros(normalise(featureVector,1),30);
        trainingLabels(i)   = classificationLabel;
        
        i = i + 1;
    end
    
    for testingArray = testingArray'        
        [FreqEst, BEst, featureVector, M]  = icf(bestIn, strcat(audioSampleLocation,testingArray.name),0.1);
        testingMatrix(j,:) = padWithZeros(normalise(featureVector,1),30);
        testingLabels(j)   = classificationLabel;
        
        j = j + 1;
    end
    
%     classificationLabel = classificationLabel + 1;
    r = r + 1;
end

libsvmwrite('outputTrain.txt', trainingLabels', sparse(trainingMatrix));
libsvmwrite('outputTest.txt', testingLabels', sparse(testingMatrix));
     
